const localKeyPrefix = 'guancecloudrum_'
const open_status_key = 'plugin_status'
const track_list_key = 'track_list'

function injectPlugin(trackId) {
	console.log('addRumGlobalContext:' + trackId)
	window.DATAFLUX_RUM && window.DATAFLUX_RUM.addRumGlobalContext('track_id', trackId)
}

function removeInject() {
	console.log('removeRumGlobalContext')
	window.DATAFLUX_RUM && window.DATAFLUX_RUM.removeRumGlobalContext('track_id')
}

window.addEventListener(
	'message',
	function (event) {
		const msg = event.data
		if (msg.type === 'guancecloud' && msg.to === 'pageScript') {
			if (msg.action === 'updateTrack') {
				const { status, trackID } = msg.data
				if (status) {
					injectPlugin(trackID)
				} else {
					removeInject()
				}
			}
		}
	},
	false
)
